## org.apache.xalan.extensions
Interface ExpressionContext

All Known Implementing Classes:
  XPathContext.XPathExpressionContext

    public interface ExpressionContext

An object that implements this interface can supply information about the current XPath expression context.

Method Summary
`org.w3c.dom.Node` `getContextNode()` Get the current context node.
`org.w3c.dom.traversal.NodeIterator` `getContextNodes()` Get the current context node list.
`javax.xml.transform.ErrorListener` `getErrorListener()` Get the error listener.
`XObject` `getVariableOrParam(QName qname)` Get a variable based on it's qualified name.
`XPathContext` `getXPathContext()` Get the XPathContext that owns this ExpressionContext.
`double` `toNumber(org.w3c.dom.Node n)` Get the value of a node as a number.
`java.lang.String` `toString(org.w3c.dom.Node n)` Get the value of a node as a string.

Method Detail

### getContextNode

    org.w3c.dom.Node getContextNode()

  Get the current context node.

  Returns:
    The current context node.

### getContextNodes

    org.w3c.dom.traversal.NodeIterator getContextNodes()

  Get the current context node list.

  Returns:
    An iterator for the current context list, as defined in XSLT.

### getErrorListener

    javax.xml.transform.ErrorListener getErrorListener()

  Get the error listener.

  Returns:
    The registered error listener.

### toNumber

    double toNumber(org.w3c.dom.Node n)

  Get the value of a node as a number.

  Parameters:
    `n` - Node to be converted to a number. May be null.
  Returns:
    value of n as a number.

### toString

    java.lang.String toString(org.w3c.dom.Node n)

  Get the value of a node as a string.

  Parameters:
    `n` - Node to be converted to a string. May be null.
  Returns:
    value of n as a string, or an empty string if n is null.

### getVariableOrParam

    XObject getVariableOrParam(QName qname)
                               throws javax.xml.transform.TransformerException

  Get a variable based on it's qualified name.

  Parameters:
    `qname` - The qualified name of the variable.
  Returns:
    The evaluated value of the variable.
  Throws:
    `javax.xml.transform.TransformerException`

### getXPathContext

    XPathContext getXPathContext()
                                 throws javax.xml.transform.TransformerException

  Get the XPathContext that owns this ExpressionContext. Note: exslt:function requires the XPathContext to access the variable stack and TransformerImpl.

  Returns:
    The current XPathContext.
  Throws:
    `javax.xml.transform.TransformerException`

Copyright © 2005 Apache XML Project. All Rights Reserved.